TopFieldDocs (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.TopFieldDocs class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class TopFieldDocs

    java.lang.Object
      org.apache.lucene.search.TopDocs
          org.apache.lucene.search.TopFieldDocs

All Implemented Interfaces:
  Serializable

    public class TopFieldDocs

extends TopDocs

Expert: Returned by low-level sorted search implementations.

Created: Feb 12, 2004 8:58:46 AM

Since:
  lucene 1.4
Version:
  $Id: TopFieldDocs.java 747746 2009-02-25 11:04:17Z mikemccand $
See Also:
  `Searcher.search(Query,Filter,int,Sort)`, Serialized Form

Field Summary
`SortField[]` | `fields` The fields which were used to sort results by.

Fields inherited from class org.apache.lucene.search.TopDocs
`scoreDocs, totalHits`

Constructor Summary
`TopFieldDocs(int totalHits, ScoreDoc[] scoreDocs, SortField[] fields, float maxScore)` Creates one of these objects.

Method Summary

Methods inherited from class org.apache.lucene.search.TopDocs
`getMaxScore, setMaxScore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fields

    public SortField[] fields

  The fields which were used to sort results by.

Constructor Detail

### TopFieldDocs

    public TopFieldDocs(int totalHits,
                        ScoreDoc[] scoreDocs,
                        SortField[] fields,
                        float maxScore)

  Creates one of these objects.

  Parameters:
    `totalHits` - Total number of hits for the query.
    `scoreDocs` - The top hits for the query.
    `fields` - The sort criteria used to find the top hits.
    `maxScore` - The maximum score encountered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.